/*
 * m_usart.c
 *
 *  Created on: 08.10.2010
 *      Author: mkriegel
 */

#include "m_usart.h"


void USART_putc (USART_t * _usart, char ch)
{
	// Wait until data register empty interrupt flag is set
	while(!(_usart->STATUS & USART_DREIF_bm));
	// Write char to DATA register
	_usart->DATA = ch;
}

void USART_puts (USART_t * _usart, char * string)
{
	while (*string != 0)
		USART_putc(_usart, *string++);
}
