/*
 * main.h
 *
 *  Created on: 07.10.2010
 *      Author: mkriegel
 */

#ifndef MAIN_H_
#define MAIN_H_

// AVR includes
#include <avr/io.h>
#include <avr/interrupt.h>

// Tricopter config include
#include "tricopter_config.h"

// Peripheral includes
#include "m_timer.h"
#include "m_usart.h"
#include "m_pmic.h"
#include "m_twi.h"
#include "m_clock.h"

#include <util/delay.h>

#include "fc.h"

// Sensor includes
#include "sensor/lis3lv02dq.h"
#include "sensor/itg3200.h"

// Debug functions include
#include "debug.h"

#endif /* MAIN_H_ */
