/*
 * fc.h
 *
 *  Created on: Nov 6, 2010
 *      Author: mike
 */

#ifndef FC_H_
#define FC_H_

#include <avr/io.h>
#include <avr/interrupt.h>

#include "debug.h"
#include "sensor/itg3200.h"
#include "sensor/lis3lv02dq.h"
#include "math/m_math.h"


typedef struct
{
		int16_t						Debug_BodyRate_i16_m8__deg_d_s[3];
		int16_t						Debug_EulerRate_i16_m8__deg_d_s[3];
		int16_t						Debug_EulerAngle_Accel_i16_m8__deg[3];
		int16_t						Debug_EulerAngle_Filter_i16_m8__deg[3];
} S_DebugValues;

// Function prototypes
void			FlightControl ();
uint8_t			UpdateLISSensorValues ();
uint8_t			UpdateITGSensorValues ();

void			SensorDebug ();


#endif /* FC_H_ */
